import request from '@/utils/request'
import tuanRequest from '@/utils/tuanRequest'

// 分页查询平台组合活动配置
export function getPlatformComposeConfigPage(data) {
  return request({
    url: '/platformComposeConfig/page',
    method: 'post',
    data
  })
}

// 查询平台组合活动配置
export function getPlatformComposeConfigById(params) {
  return request({
    url: `/platformComposeConfig/${params.id}`,
    method: 'get',
    params
  })
}

// 新增平台组合活动配置
export function savePlatformComposeConfig(data) {
  return request({
    url: '/platformComposeConfig/save',
    method: 'post',
    data
  })
}

// 修改平台组合活动配置
export function updatePlatformComposeConfig(data) {
  return request({
    url: '/platformComposeConfig/update',
    method: 'post',
    data
  })
}

// 删除平台组合活动配置
export function deletePlatformComposeConfig(params) {
  return request({
    url: `/platformComposeConfig/delete/${params.id}`,
    method: 'delete',
    params
  })
}

// 分页查询平台组合活动
export function getPlatformComposePage(data) {
  return request({
    url: '/platformCompose/page',
    method: 'post',
    data
  })
}

// 查询平台组合活动配置
export function getPlatformComposeById(params) {
  return request({
    url: `/platformCompose/${params.id}`,
    method: 'get',
    params
  })
}

// 新增平台组合活动信息
export function savePlatformComposeActivity(data) {
  return request({
    url: '/platformCompose/save',
    method: 'post',
    data
  })
}

// 修改平台组合活动信息
export function updatePlatformComposeActivity(data) {
  return request({
    url: '/platformCompose/update',
    method: 'post',
    data
  })
}

// 删除平台组合活动信息
export function deletePlatformComposeActivity(params) {
  return request({
    url: `/platformCompose/delete/${params.id}`,
    method: 'delete',
    params
  })
}

// 停止平台组合活动
export function updatePlatformComposeStop(data) {
  return request({
    url: '/platformCompose/stop',
    method: 'post',
    data
  })
}

// 组合参与店铺查询
export function getPlatformComposeShop(data) {
  return request({
    url: '/platformCompose/getComposeShop',
    method: 'post',
    data
  })
}

// 数据效果查询
export function getPlatformComposeData(data) {
  return request({
    url: '/platformCompose/getComposeData',
    method: 'post',
    data
  })
}

// 分页查询平台组合活动配置
export function getCommunityServerInfoList(data) {
  return tuanRequest({
    url: '/third/community/serverInfoList',
    method: 'post',
    data
  })
}

